import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceNationalTransportManagementInfoDashboardService =
  createAsyncThunk(
    "PROVINCE_NATIONAL_GET_TRANSPORT_INFO_DASHBOARD_SERVICE",
    async (d, { dispatch }) => {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        "https://rsibackend.rasadyar.com/app/transporting-dashboard",
        {
          params: {
            role: getRoleFromUrl(),
            search: d.search,
            value: d.search,
            province: d.province,
            PartIdCode: d.PartIdCode,
            date1: d.date1,
            date2: d.date2,
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    }
  );
